import { OpResult } from 'mslib';
/**
 * 阿里云OSS客户端
 * @date 2021-05-26 10:04:52
 * @author 吴锋霖
 */
export declare class OSSClient {
    private client;
    /**
     * 文件上传
     * @param name 文件名称
     * @param data 文件二级数据
     */
    upload(name: string, data: any): Promise<OpResult<string>>;
    /**
     * 文件下载到内存
     * @param name 文件名称
     */
    getBuffer(name: string): Promise<OpResult<any>>;
    /**
    * 文件下载到磁盘
    * @param name 文件名称 exampleobject.txt
    * @param path 文件路径  /opt/app/temp.txt
    */
    get(name: string, path: string): Promise<any>;
    /**
     * 获取临时授权访问URL
     * @param name 文件名称 exampleobject.txt
     * @param expires 过期时间秒 3600
     */
    getSignatureUrl(name: string, expires: number): Promise<any>;
    /**
     * 初始化OSS 客户端
     * @param region 区域 oss-cn-hangzhou
     * @param accessKeyId  key
     * @param accessKeySecret 秘钥
     * @param bucket
     */
    init(region: string, accessKeyId: string, accessKeySecret: string, bucket: string): void;
}
